Skip to main content
GET
/
me
Verify User Logged In
curl --request GET \
  --url https://cloud.onyx.app/api/me \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "email": "<string>",
  "is_active": true,
  "is_superuser": true,
  "is_verified": true,
  "role": "limited",
  "preferences": {
    "chosen_assistants": [
      123
    ],
    "hidden_assistants": [],
    "visible_assistants": [],
    "default_model": "<string>",
    "pinned_assistants": [
      123
    ],
    "shortcut_enabled": true,
    "auto_scroll": true,
    "temperature_override_enabled": true,
    "theme_preference": "light",
    "assistant_specific_configs": {}
  },
  "personalization": {
    "name": "",
    "role": "",
    "use_memories": true,
    "memories": [
      "<string>"
    ]
  },
  "oidc_expiry": "2023-11-07T05:31:56Z",
  "current_token_created_at": "2023-11-07T05:31:56Z",
  "current_token_expiry_length": 123,
  "is_cloud_superuser": false,
  "team_name": "<string>",
  "is_anonymous_user": true,
  "password_configured": true,
  "tenant_info": {
    "invitation": {
      "number_of_users": 123
    },
    "new_tenant": {
      "number_of_users": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://danswer-mintlify-deep-research-1773355783.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authorization header with Bearer token

Response

Successful Response

id
string
required
email
string
required
is_active
boolean
required
is_superuser
boolean
required
is_verified
boolean
required
role
enum<string>
required

User roles

  • Basic can't perform any admin actions
  • Admin can perform all admin actions
  • Curator can perform admin actions for groups they are curators of
  • Global Curator can perform admin actions for all groups they are a member of
  • Limited can access a limited set of basic api endpoints
  • Slack are users that have used onyx via slack but dont have a web login
  • External permissioned users that have been picked up during the external permissions sync process but don't have a web login
Available options:
limited,
basic,
admin,
curator,
global_curator,
slack_user,
ext_perm_user
preferences
UserPreferences · object
required
personalization
UserPersonalization · object
oidc_expiry
string<date-time> | null
current_token_created_at
string<date-time> | null
current_token_expiry_length
integer | null
is_cloud_superuser
boolean
default:false
team_name
string | null
is_anonymous_user
boolean | null
password_configured
boolean | null
tenant_info
TenantInfo · object